Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009491Multi Theft Auto : San AndreasServerpublic2016-12-09 15:112016-12-20 17:49
ReporterarranTuna 
Assigned Toccw 
PrioritynormalSeveritytextReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.5.3 
Target Version1.5.4Fixed in Version1.5.4 
Summary0009491: Unhelpful debug "ERROR: not enough memory"
DescriptionYesterday I updated to MTA:SA Server v1.5.3-release-10934 (before that it was MTA:SA Server v1.5.3-release-10810) and now I come on to see a repeating (145 times) debug error that doesn't make any sense because the server is only using 1.8 GB (It was using 3 GB yesterday and no error) and the physical server has 100 GB free.

If this is actually some recent script change which I doubt, the debug error itself is completely useless as there is no file or line passed, same with the "invalid key to next" that I've been getting for months:

[2016-12-09 05:28:02] ERROR: invalid key to 'next'
[2016-12-09 08:17:32] ERROR: not enough memory

Could these specific debug errors just be suppressed? There's nothing a scripter can do to fix them and they just frustrate us.

Edit: Server has now crashed so maybe this new "not enough memory" debug error is related?
TagsNo tags attached.
Attached Files? file icon server_1.5.3-release-10934_KERNELBASE_00014878_7363_20161209_1535.rsa.dmp [^] (4 bytes) 2016-12-09 19:34
? file icon server_1.5.3-release-10934_net_00067f37_5_20161210_1254.rsa.dmp [^] (4 bytes) 2016-12-10 13:01

- Relationships

-  Notes
(0025483)
ccw (administrator)
2016-12-09 21:05

Have you tried the 64 bit server?
(0025484)
ccw (administrator)
2016-12-09 21:11

Dump is only 4 bytes, but KERNELBASE usually means can't allocate a block of memory.
(0025485)
arranTuna (manager)
2016-12-10 10:20
edited on: 2016-12-10 13:06

Maybe it was a one time bug since it hasn't given that debug error since the server crashed 15 hours ago. If it happens again I will try 64 bit server.

Edit: Debug error has started again, after about 17 hours. Will try 64 bit server. Now that it has happened twice consistently this is now surely a new bug?

Edit 2: It crashed much earlier this time, new dump attached though it's also empty like the other at least it shows a different module that caused the crash, if that's of any use. Now running 64 bit server.

(0025490)
arranTuna (manager)
2016-12-11 23:00

1 day 9 hours up time with 64 bit, no crashes and no memory errors. However there is still the problem of the dodgy code between 10810 and 10934 that caused this. Unless it was coincidental that it started when I updated the MTA server.
(0025518)
arranTuna (manager)
2016-12-20 17:49

ccw has fixed the useless debug bit and it seems fine using 64 bit and nobody else has complained about their server crashing, probably not many servers use Windows 32 bit, but at least next major version when all servers update if they complain about this problem then we know when it started at least.

- Issue History
Date Modified Username Field Change
2016-12-09 15:11 arranTuna New Issue
2016-12-09 19:34 arranTuna File Added: server_1.5.3-release-10934_KERNELBASE_00014878_7363_20161209_1535.rsa.dmp
2016-12-09 19:35 arranTuna Severity minor => crash
2016-12-09 19:35 arranTuna Summary ERROR: not enough memory => Server crash + ERROR: not enough memory
2016-12-09 19:35 arranTuna Description Updated View Revisions
2016-12-09 21:05 ccw Note Added: 0025483
2016-12-09 21:11 ccw Note Added: 0025484
2016-12-10 10:20 arranTuna Note Added: 0025485
2016-12-10 12:46 arranTuna Note Edited: 0025485 View Revisions
2016-12-10 13:01 arranTuna File Added: server_1.5.3-release-10934_net_00067f37_5_20161210_1254.rsa.dmp
2016-12-10 13:06 arranTuna Note Edited: 0025485 View Revisions
2016-12-11 23:00 arranTuna Note Added: 0025490
2016-12-20 17:49 arranTuna Note Added: 0025518
2016-12-20 17:49 arranTuna Assigned To => ccw
2016-12-20 17:49 arranTuna Severity crash => text
2016-12-20 17:49 arranTuna Status new => resolved
2016-12-20 17:49 arranTuna Resolution open => fixed
2016-12-20 17:49 arranTuna Summary Server crash + ERROR: not enough memory => Unhelpful debug "ERROR: not enough memory"
2016-12-20 17:49 arranTuna Project New issues => Multi Theft Auto : San Andreas
2016-12-20 17:49 arranTuna Product Version => 1.5.3
2016-12-20 17:49 arranTuna Fixed in Version => 1.5.4
2016-12-20 17:49 arranTuna Target Version => 1.5.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker